Bug 800324 - User task: Task name is required by validation in Guvnor BPMN designer
User task: Task name is required by validation in Guvnor BPMN designer
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 05:15 EST by Radovan Synek
Modified: 2012-05-15 02:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process definition (2.16 KB, application/octet-stream)
2012-03-06 05:17 EST, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2012-03-06 05:15:48 EST
Description of problem:

User task: Task name is required by validation Guvnor BPMN designer, but this attribute is not a part of BPMN2 specification (there is attribute "name" for every node in specification, but not "task name").

How reproducible:

Try to import attached process definition to Guvnor BPMN designer and click on validation button.

Steps to Reproduce:
1. Start the Guvnor, create new BPMN2 process.
2. Choose "Import from BPMN2" in BPMN designer and load attached definition.
3. Click on validation button.
4. There is validation error over User Task saying that User Task has no task name.
Comment 1 Radovan Synek 2012-03-06 05:17:08 EST
Created attachment 567900 [details]
process definition
Comment 2 Tihomir Surdilovic 2012-03-06 06:22:20 EST
Designer is not a modelling tool. It is an editing tool for creating executable BPMN2 process for the jBPM runtime. As such, for jBPM, an user task which does not have a TaskName associated with it is not executable. We need the TaskName attribute to associate the user task with it's task form, among other things.

We should not remove this check.

Hope this helps.
Thanks.
Comment 3 Lukáš Petrovický 2012-03-06 09:52:30 EST
(In reply to comment #2)
> Designer is not a modelling tool. It is an editing tool for creating executable
> BPMN2 process for the jBPM runtime. As such, for jBPM, an user task which does
> not have a TaskName associated with it is not executable. We need the TaskName
> attribute to associate the user task with it's task form, among other things.

This means we have our proprietary extensions of the BPMN2 standard. This bug must remain open either to be fixed, or to be properly documented.
Comment 4 Tihomir Surdilovic 2012-03-06 10:02:11 EST
Yes, we do have a very small number of extension elements and attributes. The BPMN2 specification allows to be extended which is one of the best benefits of this standard. The implementations of the specifications (all of them) have some sort of extension elements/attributes which are needed to complement the standard (which btw. was not very thought out for actual implementations outside of just modelling). jBPM focuses on only adding extension attributes/elements when its completely necessary. TaskName (and packageName for example) are some of them. Very few, but needed. I don't see this changing any time soon.
Comment 5 Lukáš Petrovický 2012-03-06 10:13:28 EST
(In reply to comment #4)
> Yes, we do have a very small number of extension elements and attributes.

> I don't see this changing any time soon.

Alright, I'm leaving this issue open so that these extensions can be properly documented. Is there a list of those by any chance?
Comment 6 Tihomir Surdilovic 2012-03-06 11:45:29 EST
This is all in the docs: http://docs.jboss.org/jbpm/v5.2/userguide/ch06.html#d0e1995

Thanks.
Comment 8 Ryan Zhang 2012-03-21 06:07:04 EDT
Please verify this issue on ER5.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.